package ru.ulstu.tags.model;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.Size;

public class TagDto {

    private Integer id;
    @NotEmpty
    @Size(max = 50)
    private String tagName;

    @JsonCreator
    public TagDto(@JsonProperty("id") Integer id,
                   @JsonProperty("tagName") String tagName)  {
        this.id = id;
        this.tagName = tagName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public TagDto(Tag tag) {
        this.id = tag.getId();
        this.tagName = tag.getTagName();
    }
}
